<?php
namespace App\Test\TestCase\Model\Table;

use App\Model\Table\ProfessionalsSpecialtiesTable;
use Cake\ORM\TableRegistry;
use Cake\TestSuite\TestCase;

/**
 * App\Model\Table\ProfessionalsSpecialtiesTable Test Case
 */
class ProfessionalsSpecialtiesTableTest extends TestCase
{

    /**
     * Test subject
     *
     * @var \App\Model\Table\ProfessionalsSpecialtiesTable
     */
    public $ProfessionalsSpecialties;

    /**
     * Fixtures
     *
     * @var array
     */
    public $fixtures = [
        'app.professionals_specialties',
        'app.professionals',
        'app.users',
        'app.roles',
        'app.log',
        'app.units',
        'app.groups',
        'app.health_insurance_plans',
        'app.hospitalizations',
        'app.origins',
        'app.signs',
        'app.goals',
        'app.goals_units',
        'app.units_users',
        'app.bundle',
        'app.medical_opinion_answer',
        'app.medical_opinion_requests',
        'app.professional_sectors',
        'app.specialties'
    ];

    /**
     * setUp method
     *
     * @return void
     */
    public function setUp()
    {
        parent::setUp();
        $config = TableRegistry::exists('ProfessionalsSpecialties') ? [] : ['className' => 'App\Model\Table\ProfessionalsSpecialtiesTable'];
        $this->ProfessionalsSpecialties = TableRegistry::get('ProfessionalsSpecialties', $config);
    }

    /**
     * tearDown method
     *
     * @return void
     */
    public function tearDown()
    {
        unset($this->ProfessionalsSpecialties);

        parent::tearDown();
    }

    /**
     * Test initialize method
     *
     * @return void
     */
    public function testInitialize()
    {
        $this->markTestIncomplete('Not implemented yet.');
    }

    /**
     * Test validationDefault method
     *
     * @return void
     */
    public function testValidationDefault()
    {
        $this->markTestIncomplete('Not implemented yet.');
    }

    /**
     * Test buildRules method
     *
     * @return void
     */
    public function testBuildRules()
    {
        $this->markTestIncomplete('Not implemented yet.');
    }
}
